doc: Remove outdated comments about gcc 2.95 and gcc 3.3 support.